Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class LookAndFeelDefinition

    java.lang.Object
      com.bea.netuix.application.definition.LookAndFeelDefinition

All Implemented Interfaces
  DateableDefinition, Serializable

    public class LookAndFeelDefinition

extends Object
implements DateableDefinition, Serializable

This class represents a persistent lookandfeel.

See Also
  Serialized Form

Constructor Summary
`LookAndFeelDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String webAppName, String lookAndFeelFile, boolean deleted, String definitionLabel)` Constructs a new `LookAndFeelDefinition` object.

Method Summary
`Date` | `getCreatedDate()` Gets the time that this object was created in the database.
`String` | `getDefinitionLabel()` Returns the definition label for this lookandfeel.
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this lookandfeel.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this lookandfeel based on the locale of the request used for retrieving the lookandfeel.
`LookAndFeelDefinitionId` | `getLookAndFeelDefinitionId()` Returns the `LookAndFeelDefinitionId` for this lookandfeel.
`String` | `getLookAndFeelFile()` Returns the path to the lookandfeel file.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this lookandfeel.
`Date` | `getModifiedDate()` Gets the time that this object was last updated in the database.
`String` | `getWebAppName()` Returns the web application name this lookandfeel is scoped to.
`boolean` | `isDeleted()` Returns whether this lookandfeel is deleted.
`void` | `setDefinitionLabel(String definitionLabel)` Sets the definition label for this lookandfeel
`void` | `setDeleted(boolean deleted)` Sets whether this lookandfeel is deleted
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this lookandfeel.
`void` | `setLookAndFeelFile(String lookAndFeelFile)` Sets the lookandfeel file path
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this lookandfeel.
`void` | `setWebAppName(String webAppName)` Scopes this lookandfeel to given web applcation.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LookAndFeelDefinition

    public LookAndFeelDefinition(LocalizationResource localizationResource,
                                 MarkupDefinitionId markupDefinitionId,
                                 String webAppName,
                                 String lookAndFeelFile,
                                 boolean deleted,
                                 String definitionLabel)

  Constructs a new `LookAndFeelDefinition` object.

  Parameters
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this lookandfeel
    `webAppName` - name of the J2EE web application this layout is scoped to
    `lookAndFeelFile` - path to the lookandfeel file. This file path is relative to the web application context
    `deleted` - is this lookandfeel deleted
    `definitionLabel` - unique label for this lookandfeel

Method Detail

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this lookandfeel based on the locale of the request used for retrieving the lookandfeel.

  Returns
    `LocalizationResource` associated with this lookandfeel

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this lookandfeel. Returns null if no LocalizationResource is associated with this lookandfeel. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns
    `LocalizationIntersectionId` for this lookandfeel

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this lookandfeel.

  Parameters
    `localizationResource` -

### getLookAndFeelDefinitionId

    public LookAndFeelDefinitionId getLookAndFeelDefinitionId()

  Returns the `LookAndFeelDefinitionId` for this lookandfeel. Returns null if this lookandfeel has not been retrieved using the persistence API.

  Returns
    `LookAndFeelDefinitionId`

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this lookandfeel.

  Returns
    `MarkupDefinitionId`
  See Also
    `MarkupDefinition`

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this lookandfeel.

  Parameters
    `markupDefinitionId` -

### getWebAppName

    public String getWebAppName()

  Returns the web application name this lookandfeel is scoped to.

  Returns
    web application name

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this lookandfeel to given web applcation.

  Parameters
    `webAppName` -

### getLookAndFeelFile

    public String getLookAndFeelFile()

  Returns the path to the lookandfeel file. This path is relative to the web application context.

  Returns
    lookandfeel file path

### setLookAndFeelFile

    public void setLookAndFeelFile(String lookAndFeelFile)

  Sets the lookandfeel file path

  Parameters
    `lookAndFeelFile` -

### isDeleted

    public boolean isDeleted()

  Returns whether this lookandfeel is deleted.

  Returns
    true if this lookandfeel is deleted

### setDeleted

    public void setDeleted(boolean deleted)

  Sets whether this lookandfeel is deleted

  Parameters
    `deleted` -

### getDefinitionLabel

    public String getDefinitionLabel()

  Returns the definition label for this lookandfeel.

  Returns
    definition label

### setDefinitionLabel

    public void setDefinitionLabel(String definitionLabel)

  Sets the definition label for this lookandfeel

  Parameters
    `definitionLabel` -

### getCreatedDate

    public Date getCreatedDate()

  Gets the time that this object was created in the database.

  Specified by:
    `getCreatedDate` in interface `DateableDefinition`

### getModifiedDate

    public Date getModifiedDate()

  Gets the time that this object was last updated in the database.

  Specified by:
    `getModifiedDate` in interface `DateableDefinition`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved